[Pkg-utopia-maintainers] Bug#499650: Bug#499650: Bug#499650: dbus: wrong dependencies on libice6, libsm6 and libx11-6

Luca Capello luca at pca.it
Tue Sep 30 16:25:03 UTC 2008

Hi Michael!

On Tue, 30 Sep 2008 14:51:36 +0200, Michael Biebl wrote:
> Michael Biebl wrote:
>> The problem seem to be very simple:
>> configure.in:915-935
>> The AC_PATH_XTRA macro picks up additional X11 libs if installed and
>> adds them to $X_EXTRA_LIBS.
>> If you install in a clean chroot, $X_EXTRA_LIBS will be empty.
> Minor correction:
> The additional depedencies on -lSM and -lICE are added to $X_PRE_LIBS

Now that I think about it, I already experienced this weird problem [1].

> I guess we can either add build conflicts against all non-required X11
> dev packages (I'm not sure if this is viable)
> or patch out X_EXTRA_LIBS from configure.in.

I think the easiest solution would be to simply rebuild the package,
which is also the less invasive one.

Thx, bye,
Gismo / Luca

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=462087#17
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 314 bytes
Desc: not available
Url : http://lists.alioth.debian.org/pipermail/pkg-utopia-maintainers/attachments/20080930/86b9a12d/attachment.pgp 

More information about the Pkg-utopia-maintainers mailing list